package org.objectweb.jonas.stests.appli;


public class OrderID implements java.io.Serializable {
	public String ivWarehouseID;
	public int ivDistrictID;
  public float ivOrderID;
	
  public OrderID() {}

  public OrderID(String wid, int did, float oid) {
    ivWarehouseID = wid;
    ivDistrictID = did;
    ivOrderID = oid;
  }
	
	public OrderID(String wid, String did, String oid) {
		ivWarehouseID = wid;
		ivDistrictID = Integer.parseInt(did);
		ivOrderID = Float.valueOf(oid).floatValue();
	}
		

    public String toString(){
	return ivWarehouseID+ivDistrictID+ivOrderID;
    }
}
